Get Analytics Detailed Usage By Integration
curl --request GET \
--url https://production.runalloy.com/analytics/detail-usage-integration \
--header 'Authorization: <authorization>' \
--header 'x-api-version: <x-api-version>'import requests
url = "https://production.runalloy.com/analytics/detail-usage-integration"
headers = {
"Authorization": "<authorization>",
"x-api-version": "<x-api-version>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: '<authorization>', 'x-api-version': '<x-api-version>'}
};
fetch('https://production.runalloy.com/analytics/detail-usage-integration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"integrationName": "Variable Selector",
"integrationId": "673dc357c2f5556954bd4b45",
"integrationCreatedDate": "2024-11-20T11:09:11.090Z",
"isDeleted": false,
"startDate": "2023-12-27",
"endDate": "2024-12-27",
"totalActions": 0,
"data": [
{
"month": "Nov-24",
"date": "2024-11-19",
"isDeleted": false,
"name": "variable Selector",
"integrationId": "673dc357c2f5556954bd4b45",
"integrationCreatedDate": "2024-11-20",
"count": 14
}
],
"timePeriod": "current-billing-cycle"
}
}App Actions Usage
Get Analytics Detailed Usage By Integration
Returns usage data for a specific integration.
GET
/
analytics
/
detail-usage-integration
Get Analytics Detailed Usage By Integration
Headers
The version of the API to use. The current API version is 2025-09.
Query Parameters
The time period for usage data.
Available options:
7-days, 30-days, 3-months, current-billing-cycle Example:
"7-days"
The ID of the integration.
Example:
"66fabcb533a7e961c65fad51"
Response
200 - application/json
Success (Example)
⌘I

